package com.xxl.job.executor.material.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.material.entity.BytedanceImageInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 头条图片素材
 * @author: jeecg-boot
 * @date:   2020-08-01
 * @cersion: V1.0
 */
public interface BytedanceImageInfoMapper extends BaseMapper<BytedanceImageInfo> {

    void replaceBatch(@Param(value = "imageInfos") List<BytedanceImageInfo> imageInfos);

    void updateImageVerticalType();

    void updateImageHorizonType();
}
